View Issue Details

IDProjectCategoryView StatusLast Update
0002080Ham Radio DeluxeBugpublic2017-07-09 18:59
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.654 
Target VersionFixed in Version6.4.0.659 
Summary0002080: RigControl: AGC state not correctly updated on Yaesu FT-450D
DescriptionThe AGC display in RigControl doesn't exactly match the AGC setting on the radio.
Steps To ReproduceConnect to FT-450D radio (need a real radio, I think)

1) Tune to 50.0 Mhz (6 meters)
2) Set mode to USB
3) On the radio, press AGC button repeatedly. This should cycle through { Fast, Slow, Auto Slow }
4) Check the Rig Control display. When set to "Auto Slow", the "AGC" button will show only "AGC".

I think this is because HRD doesn't know about the "Auto Slow" mode.

4) Tune to 1.8000 Mhz (160 Meters)
5) Set Mode to CW
6) Cycle through AGC settings on the radio. The radio says { Auto Fast, Fast, Slow }
7) Watch the rig control display. Note that "Auto Fast" is just "Fast"

TagsFT450D, FT950, FT991, FT991A, FTDX3000
ModuleRig Control
Sub-ModuleRig Control
Testing Beta Successful

Relationships

has duplicate 0002081 closedK7ZCZ RigControl: AGC state not correctly updated on Yaesu FT-450D 
has duplicate 0002082 closedK7ZCZ RigControl: AGC state not correctly updated on Yaesu FT-450D 

Activities

K7ZCZ

2017-06-29 01:49

manager   ~0003409

This also affects a few other radios:

FT DX 3000
FT-991
FT-991A
FT-950

K7ZCZ

2017-06-29 01:50

manager   ~0003410

Fixed in checkin 3546

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3546

K7ZCZ

2017-06-30 17:45

manager   ~0003438

I have verified this on my own FT-450D

WA9PIE

2017-07-04 23:30

administrator   ~0003460

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003495

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003567

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-28 04:29 K7ZCZ New Issue
2017-06-28 14:44 WA9PIE Status new => assigned
2017-06-28 14:44 WA9PIE Assigned To => K7ZCZ
2017-06-28 17:04 K7ZCZ Relationship added has duplicate 0002081
2017-06-29 01:44 K7ZCZ Relationship added has duplicate 0002082
2017-06-29 01:48 K7ZCZ Tag Attached: FT450D
2017-06-29 01:48 K7ZCZ Tag Attached: FT950
2017-06-29 01:48 K7ZCZ Tag Attached: FT991
2017-06-29 01:48 K7ZCZ Tag Attached: FT991A
2017-06-29 01:48 K7ZCZ Tag Attached: FTDX3000
2017-06-29 01:49 K7ZCZ Note Added: 0003409
2017-06-29 01:50 K7ZCZ Note Added: 0003410
2017-06-29 01:50 K7ZCZ Status assigned => resolved
2017-06-29 01:50 K7ZCZ Resolution open => fixed
2017-06-29 01:50 K7ZCZ Testing => Not Started
2017-06-30 17:45 K7ZCZ Note Added: 0003438
2017-06-30 17:52 K7ZCZ Testing Not Started => Beta Passed
2017-07-01 08:30 WA9PIE Fixed in Version => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003460
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003495
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003567
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful